\label{chap:discretization}

%~ \TK{TODO MENTION THE $\p$-dependence of constants.}

Gradient-type minimization methods for the interaction potential~\begin{equation*}
  \EI(\p) := \min_{v \in \Uad(\p)} \E(\p,v) = \E(\p,u(\p))
  ,\qquad\p\in\cD
\end{equation*}
generally require a large number of evaluations of the gradient~$\nabla\EI$ and possibly also of the function~$\EI$ itself.
In view of the definition of~$\EI$ and the derivative formula in \cref{thm:summarizedDifferentiability}, this means in a practical algorithm that the stationary membranes~$u(\p) \in H^2(\Omega(\p))$ need to be computed frequently and for many different particle configurations~$\p \in \cD$.
Since the membrane function~$u(\p)$ is characterized by the solution of a partial differential equation on a possibly complicated domain, in general no analytical representations are available and instead one needs to rely on numerical approximation techniques.%~$u_h(\p) \approx u(\p)$.

This chapter directs one's attention towards the approximation of the membrane function~$u(\p)$ for one single configuration~$\p \in \cD^\circ$ in the case where the elastic energy~$\E(\p,\cdot)$ is of a special class of elliptic quadratic energies that is specified in detail later on.
Both point value and curve constraints are considered.
Because the latter constraint type is numerically more challenging than the former, the focus lies mostly on curve constraints.
The goal is to develop a stable, optimal-order finite element scheme that avoids potentially expensive re-meshing steps for updates in the configuration parameter~$\p$ by using a configuration-independent finite element grid.

%~ \snote{Outline further?}
\begin{comment}
In this context it is worth noting that the approximation error~$\norm{u - u_h}_{H^2(\Omega(\p))}$ for such problems is directly linked to the associated gradient approximation error $\norm{\nabla\EI - \nabla \EI_h}_2$, see \TK{TODO} for the precise statement.
This property is in particular relevant within the framework of perturbed gradient methods in order to ensure that those methods approximate a stationary configuration of $\EI$ sufficiently well.
\TK{Refs?}
\snote{Maybe put this whole thing into the remark section at the end of the chapter?}
\end{comment}


\begin{comment}
\myhrule

Gradient-type minimization methods for the interaction potential~$\EI$ generally evaluate a gradient~$\nabla \EI(\p^i)$ for every iterate $\p^i \in \cD \subseteq \R^{N\times k}$.
In view of the derivative formula in \cref{thm:summarizedDifferentiability}, each gradient evaluation requires the computation of the stationary membrane $u(\p^i) \in H^2(\Omega(\p^i))$ as well as the construction of $N\cdot k$ suitable vector fields and functions $V$ and $\xi$ for each partial derivative in $\nabla \EI(\p^i)$.

\myhrule

This chapter directs the attention towards the numerical approximation of the stationary membrane $u(\p) \in H^2(\Omega(\p))$ for a fixed particle configuration $\p \in \cD$ given a quadratic elliptic energy $\E(\p,\cdot)$ subject to either curve or point constraints.
When computing stationary particle configurations of the interaction energy~$\EI$ with the help of gradient-type optimization methods, this type of problem needs to be solved at least once in every iteration step.
Hence, those methods necessarily put a considerable amount of computational effort into the approximative computation of the membranes $u(\p)$.
This underlines the significance of efficient solution methods in the given context.
In addition, also the approximation quality of the membrane $u(\p)$ is of crucial importance because it is directly linked to the approximation quality of the gradient of the interaction energy~$\nabla \EI(\p)$, see \TK{TODO}.
The precise approximation of the gradient is again relevant in order to ensure that a stationary configuration is sufficiently well approximated by the optimization algorithm.



\TK{TODO}
\end{comment}


%~ \incsection[discretization/optim]{TODO}


\incsection[discretization/preliminaries]{Preliminaries}

\section{Fictitious domain stabilized Nitsche method for curve constraints}
\incsubsection[discretization/discretization]{Discretization scheme}
\incsubsection[discretization/existence_uniqueness]{Existence and uniqueness of the discrete solution}
\incsubsection[discretization/discretization_error]{Discretization error estimate}

\incsection[discretization/point]{Conforming discretization for point value constraints}

\incsection[discretization/gradient]{Discretization error in the gradient of the interaction potential}

%~ \snote{Final remark on $\p$-dependence in constants.}

%~ \incsection[discretization/curve]{Fictitious domain stabilized Nitsche method for curve constraints}

%~ \incsection[discretization/point]{Conforming finite element method for point value constraints}

%~ \section{Numerical evaluation of the gradient of the interaction potential}
  %~ \TK{TODO: Is it justified to use a separate section for this (rather trivial) result (at least in the linear case)? Might as well make a remark about it. Maybe the remarks on how to construct $V$ make it worthwile. Although this could be seen as an implementation detail as well. In that sense: What about the quadrature formulas, adaptive refinement and linear solvers?}
